# Frozen-Vanguard

Frozen Vanguard is a defensive skilltree mod for Outward.
First of the Primordial series focuses on element of Ice encases itself in Ice to protect from most of the attacks and then use that to annihilate anything when the time is right<br>
Trainer is located in the Corrupted Tombs past the Ghost pass

*Class mechanic: Permafrost*
  Stacking buff that increases resistances by 5% but also decreases your physical damage by 5% per stack, max 5 stacks, post breakthrough abilities require this to be casted<br>
  
*Pre-breakthrough-*<br>
*Glacial Prison:*<br>
*cooldown: 24s stamina cost: 10*<br>
  jumping attack that freezes the movement of your enemy (be carefull attacks that move the enemy will still move him, but they wont walk or dodge) for 5 seconds<br>
  the ice can be shattered by some abilities for additional effects<br>
  
*Frozen Grasp:*<br>
*cooldown: 4s stamina cost: 5* <br>
  mid range blast attack that builds up chill on the enemy, this ability can shatter, staggering the shattered target and granting Permafrost to the player<br>

*Brittle Icicle:*<br>
*cooldown 4s stamina cost: 25*<br>
  counter that costs a bit more stamina but if succesful refunds its cost and grants permafrost, also staggeres nearby enemies<br>
  
*Breakthrough-*<br>
-passive- *Snow Mountain:*<br>
  Permafrost stacks now also grant 2 barrier and 1 protection, but slows the players movement speed<br>
  |<br>
-passive- *Agressive Winter:*<br>
  Permafrost now also increse Frost damage by 5%, but decrease other elemental damage by 5% and physical damage by 2%<br>
  
*Post-Breakthrough-*<br>
*Heart of Ice:*<br>
*cooldown: 40s mana cost: 6*<br>
  Gives cool boon, removes damage over time effects and gives Unerring Read<br>
  requires 2 Permafrost<br>
  |<br>
*Chilling stance:*<br>
*cooldown: 40s stamina cost: 8*<br>
  Gives cool boon and removes 5 burned stamina<br>
  if the player has 0 Permafrost gain 2<br>
  
*Frostbite:*<br>
*cooldown: 90s stamina cost: 20*<br>
  Attack all enemies within a close distance with minor ice damage, 
  if the enemy was Chilled gain a Frost Imbue<br>
  requires 2 stacks of Permafrost <br>
  This ability can shatter, chilling every enemy shattered<br>
  
*Spirits Unleashed:*<br>
*cooldown: 200s mana cost: 20*<br>
  Ice explosion around the player that deals massive damage, if the target was chilled 2nd weaker explosion occurs on their location, removes Chill,
  requires at least 4 Permafrost<br>
  |<br>
*Avatar of Ice:*<br>
*cooldown: 200s stamina cost: 30*<br>
  Consume all of your Permafrost stacks to become ice incarnate for 25 seconds, blockinbg Permafrost generation for the duration except Chilling stance, but making the player unstoppable and giving <br>
  15 Barrier and 10 Protection<br>
  damage resistances +20%<br>
  Ice damage +15%<br>
  Physical damage +5%<br>
  attack speed -10%<br>
  shattering refreshes the Avatars duration, Glacials prison cooldown is halved during it<br>
  
  ## Changelog
  
  ### Update 1.3.1 -
  - Fixed Avatar of Ice not pausing DoTs correctly<br>
  - Fixed Heart of ice not doing effects<br>
  - Changed Chilling stance burnt stamina recovery to be flat 5 <br>
  
  ### Update 1.3.0 "Vanguard changes"-
  - Replaced Frost Lunge with Glacial Prison<br>
  - Added shattering effects on baseline abilities<br>
  - Nerfed Permafrost damage resistance, since more sources of it are availible<br>
  - Split the little bit confusing Heart of Ice into 2 skills, but mutually exclusive<br>
  - Freeze Veins has been merged into Avatar of Ice<br>
  - Avatar of ice duration has been lowered, buffs made stronger and paused all DoTs for the duration<br>
  - made Avatars duration refreshable<br>
  <br>
  Big thanks to Nielsuh for testing this update
  
  ## Credits
  big thanks to Faerin and Emo for help with the code<br>
  Emo again for helping with the visuals as well<br>
  Iggy The Mad for introduction to SideLoader<br>
  FluffyTail for advising in the early stage<br>
  
to have better track of which class im currently working on, or to see development of other classes you can visit Outward Modding discord:      https://discord.com/invite/zKyfGmy7TR
 Also report any problems with the mod there, in the "Frozen Vanguard" chanel